diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-cca-test.cc ns-3.44/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-cca-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-cca-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -1724,7 +1743,11 @@
                             "Reception of a 20 MHz signal that occupies the second subchannel of "
                             "S40 below ED threshold");
         ScheduleTest(delay,
-                     {{-65.0, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY + 10, 20}},
+                     {{dBm_u{-65},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S40_CENTER_FREQUENCY + MHz_u{10},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -1734,20 +1757,24 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy detection
         // threshold occupies the second 20 MHz subchannel of the S40: 27.3.20.6.4: Any signal
         // within the secondary 40 MHz channel at or above a threshold of –59 dBm within a period of
-        // aCCATime after the signal arrives at the receiver’s antenna(s).
+        // aCCATime after the signal arrives at the receiver's antenna(s).
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 20 MHz signal that occupies the second subchannel of "
                             "S40 above ED threshold");
         ScheduleTest(delay,
-                     {{-55.0, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY + 10, 20}},
+                     {{dBm_u{-55},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S40_CENTER_FREQUENCY + MHz_u{10},
+                       MHz_u{20}}},
                      {},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
@@ -1771,7 +1798,7 @@
                                                                   MicroSeconds(0),
                                                                   MicroSeconds(0),
                                                                   MicroSeconds(100)})}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE for the S40 if a signal below the energy detection threshold
@@ -1780,55 +1807,57 @@
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 40 MHz signal that occupies S40 below ED threshold");
-        ScheduleTest(delay,
-                     {{-60.0, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY, 40}},
-                     {},
-                     {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {});
-        delay += Seconds(1.0);
+        ScheduleTest(
+            delay,
+            {{dBm_u{-60}, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY, MHz_u{40}}},
+            {},
+            {
+                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {MicroSeconds(100) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {});
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY notifies CCA-BUSY for the S40 as long as a signal above the energy detection
         // threshold occupies S40: 27.3.20.6.4: Any signal within the secondary 40 MHz channel at or
         // above a threshold of –59 dBm within a period of aCCATime after the signal arrives at the
-        // receiver’s antenna(s).
+        // receiver's antenna(s).
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 20 MHz signal that occupies the second subchannel of "
                             "S40 above ED threshold");
-        ScheduleTest(delay,
-                     {{-55.0, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY, 40}},
-                     {},
-                     {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY40,
-                       ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0)}
-                                              : std::vector<Time>{MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(100)})}});
-        delay += Seconds(1.0);
+        ScheduleTest(
+            delay,
+            {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY, MHz_u{40}}},
+            {},
+            {
+                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {MicroSeconds(100) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{MicroSeconds(100) - smallDelta,
+              MicroSeconds(100),
+              WIFI_CHANLIST_SECONDARY40,
+              ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{MicroSeconds(0),
+                                                                MicroSeconds(0),
+                                                                MicroSeconds(100),
+                                                                MicroSeconds(100),
+                                                                MicroSeconds(0),
+                                                                MicroSeconds(0),
+                                                                MicroSeconds(0),
+                                                                MicroSeconds(0)}
+                                            : std::vector<Time>{MicroSeconds(0),
+                                                                MicroSeconds(0),
+                                                                MicroSeconds(100),
+                                                                MicroSeconds(100)})}});
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state is CCA-BUSY as long as a 80 MHz signal above the energy detection
@@ -1837,32 +1866,33 @@
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 80 MHz signal that occupies P80 above ED threshold");
-        ScheduleTest(delay,
-                     {{-55.0, MicroSeconds(0), MicroSeconds(100), P80_CENTER_FREQUENCY, 80}},
-                     {},
-                     {
-                         {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
-                         {MicroSeconds(100) - smallDelta,
-                          WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
-                         {MicroSeconds(100) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_PRIMARY,
-                       ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(100),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0)}
-                                              : std::vector<Time>{MicroSeconds(100),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(100)})}});
-        delay += Seconds(1.0);
+        ScheduleTest(
+            delay,
+            {{dBm_u{-55}, MicroSeconds(0), MicroSeconds(100), P80_CENTER_FREQUENCY, MHz_u{80}}},
+            {},
+            {
+                {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
+                {MicroSeconds(100) - smallDelta,
+                 WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
+                {MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{MicroSeconds(100) - smallDelta,
+              MicroSeconds(100),
+              WIFI_CHANLIST_PRIMARY,
+              ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{MicroSeconds(100),
+                                                                MicroSeconds(100),
+                                                                MicroSeconds(100),
+                                                                MicroSeconds(100),
+                                                                MicroSeconds(0),
+                                                                MicroSeconds(0),
+                                                                MicroSeconds(0),
+                                                                MicroSeconds(0)}
+                                            : std::vector<Time>{MicroSeconds(100),
+                                                                MicroSeconds(100),
+                                                                MicroSeconds(100),
+                                                                MicroSeconds(100)})}});
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY notifies CCA-BUSY for the P20 channel while the S40 channel was already in
@@ -1874,8 +1904,12 @@
                             "reception of another 20 MHz signal that occupies P20");
         ScheduleTest(
             delay,
-            {{-55.0, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY - 10, 20},
-             {-55.0, MicroSeconds(50), MicroSeconds(100), P20_CENTER_FREQUENCY, 20}},
+            {{dBm_u{-55},
+              MicroSeconds(0),
+              MicroSeconds(100),
+              S40_CENTER_FREQUENCY - MHz_u{10},
+              MHz_u{20}},
+             {dBm_u{-55}, MicroSeconds(50), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
                 {aCcaTime, WifiPhyState::IDLE}, // state of primary stays idle after aCCATime
@@ -1917,7 +1951,7 @@
                                                          MicroSeconds(0),
                                                          MicroSeconds(50),
                                                          MicroSeconds(0)})}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but notifies CCA-BUSY for the S20 channel while the S40
@@ -1929,8 +1963,12 @@
                             "another signal that occupies S20");
         ScheduleTest(
             delay,
-            {{-55.0, MicroSeconds(0), MicroSeconds(100), S40_CENTER_FREQUENCY - 10, 20},
-             {-55.0, MicroSeconds(50), MicroSeconds(100), S20_CENTER_FREQUENCY, 20}},
+            {{dBm_u{-55},
+              MicroSeconds(0),
+              MicroSeconds(100),
+              S40_CENTER_FREQUENCY - MHz_u{10},
+              MHz_u{20}},
+             {dBm_u{-55}, MicroSeconds(50), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
                 {aCcaTime, WifiPhyState::IDLE}, // state of primary stays idle after aCCATime
@@ -1970,7 +2008,7 @@
                                                          MicroSeconds(100),
                                                          MicroSeconds(50),
                                                          MicroSeconds(0)})}});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE when a 40 MHz HE SU PPDU with received power below the CCA
@@ -1982,16 +2020,16 @@
             "Reception of a 40 MHz HE PPDU that occupies S40 below CCA sensitivity threshold");
         ScheduleTest(delay,
                      {},
-                     {{-75.0, MicroSeconds(0), S40_CENTER_FREQUENCY, 40}},
+                     {{dBm_u{-75}, MicroSeconds(0), S40_CENTER_FREQUENCY, MHz_u{40}}},
                      {
                          {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {PpduDurations.at(20) - smallDelta,
+                         {PpduDurations.at(MHz_u{20}) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {PpduDurations.at(20) + smallDelta,
+                         {PpduDurations.at(MHz_u{20}) + smallDelta,
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
-        delay += Seconds(1.0);
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 40 MHz HE SU PPDU
@@ -2001,32 +2039,33 @@
             &WifiPhyCcaIndicationTest::LogScenario,
             this,
             "Reception of a 40 MHz HE PPDU that occupies S40 above CCA sensitivity threshold");
-        ScheduleTest(delay,
-                     {},
-                     {{-70.0, MicroSeconds(0), S40_CENTER_FREQUENCY, 40}},
-                     {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {PpduDurations.at(40) - smallDelta,
-                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {PpduDurations.at(40) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{aCcaTime,
-                       PpduDurations.at(40),
-                       WIFI_CHANLIST_SECONDARY40,
-                       ((m_channelWidth > 80) ? std::vector<Time>{NanoSeconds(0),
-                                                                  NanoSeconds(0),
-                                                                  PpduDurations.at(40),
-                                                                  PpduDurations.at(40),
-                                                                  NanoSeconds(0),
-                                                                  NanoSeconds(0),
-                                                                  NanoSeconds(0),
-                                                                  NanoSeconds(0)}
-                                              : std::vector<Time>{NanoSeconds(0),
-                                                                  NanoSeconds(0),
-                                                                  PpduDurations.at(40),
-                                                                  PpduDurations.at(40)})}});
-        delay += Seconds(1.0);
+        ScheduleTest(
+            delay,
+            {},
+            {{dBm_u{-70.0}, MicroSeconds(0), S40_CENTER_FREQUENCY, MHz_u{40}}},
+            {
+                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                {PpduDurations.at(MHz_u{40}) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {PpduDurations.at(MHz_u{40}) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{aCcaTime,
+              PpduDurations.at(MHz_u{40}),
+              WIFI_CHANLIST_SECONDARY40,
+              ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{NanoSeconds(0),
+                                                                NanoSeconds(0),
+                                                                PpduDurations.at(MHz_u{40}),
+                                                                PpduDurations.at(MHz_u{40}),
+                                                                NanoSeconds(0),
+                                                                NanoSeconds(0),
+                                                                NanoSeconds(0),
+                                                                NanoSeconds(0)}
+                                            : std::vector<Time>{NanoSeconds(0),
+                                                                NanoSeconds(0),
+                                                                PpduDurations.at(MHz_u{40}),
+                                                                PpduDurations.at(MHz_u{40})})}});
+        delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE but CCA-BUSY indication is still reported as long as a signal
@@ -2038,48 +2077,50 @@
             this,
             "Reception of a 40 MHz signal that occupies S40 above ED threshold followed by a 80 "
             "MHz HE PPDU that occupies P80 below CCA sensitivity threshold");
-        ScheduleTest(
-            delay,
-            {{-55.0,
-              MicroSeconds(0),
-              MicroSeconds(100),
-              S40_CENTER_FREQUENCY,
-              40}},                                                // signal on S40 above threshold
-            {{-80.0, MicroSeconds(50), P80_CENTER_FREQUENCY, 80}}, // PPDU on P80 below threshold
-            {
-                {MicroSeconds(50) + aCcaTime, WifiPhyState::IDLE}, // PHY state stays IDLE
-            },
-            {{MicroSeconds(50) - smallDelta,
-              MicroSeconds(100),
-              WIFI_CHANLIST_SECONDARY40,
-              ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(100),
-                                                         MicroSeconds(100),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0)}
-                                     : std::vector<Time>{MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(100),
-                                                         MicroSeconds(100)})},
-             {MicroSeconds(100) - smallDelta,
-              MicroSeconds(100),
-              WIFI_CHANLIST_SECONDARY40,
-              ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(46),
-                                                         MicroSeconds(46),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0)}
-                                     : std::vector<Time>{MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(46),
-                                                         MicroSeconds(46)})}});
-        delay += Seconds(1.0);
+        ScheduleTest(delay,
+                     {{dBm_u{-55},
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S40_CENTER_FREQUENCY,
+                       MHz_u{40}}}, // signal on S40 above threshold
+                     {{dBm_u{-80},
+                       MicroSeconds(50),
+                       P80_CENTER_FREQUENCY,
+                       MHz_u{80}}}, // PPDU on P80 below threshold
+                     {
+                         {MicroSeconds(50) + aCcaTime, WifiPhyState::IDLE}, // PHY state stays IDLE
+                     },
+                     {{MicroSeconds(50) - smallDelta,
+                       MicroSeconds(100),
+                       WIFI_CHANLIST_SECONDARY40,
+                       ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
+                                                                  MicroSeconds(0),
+                                                                  MicroSeconds(100),
+                                                                  MicroSeconds(100),
+                                                                  MicroSeconds(0),
+                                                                  MicroSeconds(0),
+                                                                  MicroSeconds(0),
+                                                                  MicroSeconds(0)}
+                                              : std::vector<Time>{MicroSeconds(0),
+                                                                  MicroSeconds(0),
+                                                                  MicroSeconds(100),
+                                                                  MicroSeconds(100)})},
+                      {MicroSeconds(100) - smallDelta,
+                       MicroSeconds(100),
+                       WIFI_CHANLIST_SECONDARY40,
+                       ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
+                                                                  MicroSeconds(0),
+                                                                  MicroSeconds(46),
+                                                                  MicroSeconds(46),
+                                                                  MicroSeconds(0),
+                                                                  MicroSeconds(0),
+                                                                  MicroSeconds(0),
+                                                                  MicroSeconds(0)}
+                                              : std::vector<Time>{MicroSeconds(0),
+                                                                  MicroSeconds(0),
+                                                                  MicroSeconds(46),
+                                                                  MicroSeconds(46)})}});
+        delay += Seconds(1);
     }
     else // 20 or 40 MHz receiver
     {
